PETSc version 3.15.5
Fix/Edit manual page

# SNESSetOptionsPrefix

Sets the prefix used for searching for all SNES options in the database.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetOptionsPrefix(SNES snes,const char prefix[])

Logically Collective on SNES

### Input Parameter

| snes | - the SNES context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

SNESSetFromOptions()

### Level

advanced

### Location

src/snes/interface/snes.c

### Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c.html
src/ts/utils/dmplexlandau/tutorials/ex1f90.F90.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages